net.corda.node.services.messaging

## Class MarshalledObservation

- net.corda.node.services.messaging.MarshalledObservation

-     public class MarshalledObservation

  Used in the RPC wire protocol to wrap an observation with the handle of the observable it's intended for.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarshalledObservation(int forHandle, rx.Notification<?> what)` Used in the RPC wire protocol to wrap an observation with the handle of the observable it's intended for.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `component1()`
    `rx.Notification<?>` | `component2()`
    `MarshalledObservation` | `copy(int forHandle, rx.Notification<?> what)` Used in the RPC wire protocol to wrap an observation with the handle of the observable it's intended for.
    `boolean` | `equals(java.lang.Object p)`
    `int` | `getForHandle()`
    `rx.Notification<?>` | `getWhat()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### MarshalledObservation

          public MarshalledObservation(int forHandle,
                                       rx.Notification<?> what)

      Used in the RPC wire protocol to wrap an observation with the handle of the observable it's intended for.

  - ### Method Detail

    - #### getForHandle

          public int getForHandle()

    - #### getWhat

          public rx.Notification<?> getWhat()

    - #### component1

          public int component1()

    - #### component2

          public rx.Notification<?> component2()

    - #### copy

          public MarshalledObservation copy(int forHandle,
                                            rx.Notification<?> what)

      Used in the RPC wire protocol to wrap an observation with the handle of the observable it's intended for.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)